<script setup lang="ts">
import type { TellingToken } from '@/scripts/types'
import { computed, PropType } from 'vue'

const props = defineProps({
  timestamp: {
    type: Number,
    required: true
  },
  token: {
    type: Object as PropType<TellingToken>,
    required: true
  }
})

const time = computed(() => {
  const d = new Date(props.timestamp)
  return d.toLocaleTimeString('fr-FR')
})

</script>

<template>
    <div class="flex items-center">
        <p>
            {{ time }}
        </p>
        <p class="grow mx-3">
            <b>{{ token.display_name }}</b>
        </p>
        <p class="mr-3">
            {{ token.sciper  }}
        </p>
        <div><v-btn icon="mdi-account-search" link target="_blank" :href="`https://people.epfl.ch/${token.sciper}`" /></div>
    </div>
</template>
